aboutsummaryrefslogtreecommitdiffstats
path: root/tools/dicttool/tests
diff options
context:
space:
mode:
authorYohei Yukawa <yukawa@google.com>2014-04-02 19:46:05 +0900
committerYohei Yukawa <yukawa@google.com>2014-04-02 19:47:08 +0900
commitc73b46f40a3e47ed9989cf1c9681901572b508be (patch)
treea6da98e74cb1cd24a4a126e0244772c5dd259970 /tools/dicttool/tests
parent06b50ed5f29bcfc88526f8b5d5608afdbe00361b (diff)
downloadlatinime-c73b46f40a3e47ed9989cf1c9681901572b508be.tar.gz
latinime-c73b46f40a3e47ed9989cf1c9681901572b508be.tar.xz
latinime-c73b46f40a3e47ed9989cf1c9681901572b508be.zip
Do not call exit 1 when loaded with source command
BUG: 13754552 Change-Id: I3d5e4c0786547521325405100c175dd1b21754df
Diffstat (limited to 'tools/dicttool/tests')
-rwxr-xr-xtools/dicttool/tests/etc/test-dicttool.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/dicttool/tests/etc/test-dicttool.sh b/tools/dicttool/tests/etc/test-dicttool.sh
index 5eb44fc85..f96db6816 100755
--- a/tools/dicttool/tests/etc/test-dicttool.sh
+++ b/tools/dicttool/tests/etc/test-dicttool.sh
@@ -18,7 +18,7 @@ echo "Usage:" 1>&2
echo " source $0" 1>&2
echo " or" 1>&2
echo " . $0" 1>&2
-exit 1
+if [[ ${BASH_SOURCE[0]} != $0 ]]; then return; else exit 1; fi
fi
find out -name "dicttool_aosp*" -exec rm -rf {} \; > /dev/null 2>&1